Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenDiagramPreferences

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenDiagramPreferencesImpl

    public interface GenDiagramPreferences

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Diagram Preferences'.

The following features are supported:

- `Line Style`
- `Default Font`
- `Font Color`
- `Fill Color`
- `Line Color`
- `Note Fill Color`
- `Note Line Color`
- `Show Connection Handles`
- `Show Popup Bars`
- `Prompt On Del From Model`
- `Prompt On Del From Diagram`
- `Enable Animated Layout`
- `Enable Animated Zoom`
- `Enable Anti Alias`
- `Show Grid`
- `Show Rulers`
- `Snap To Grid`
- `Ruler Units`
- `Grid Spacing`

See Also:
  `GMFGenPackage.getGenDiagramPreferences()`
** Generated **
Model:

Method Summary
`GenFont` `getDefaultFont()` Returns the value of the 'Default Font' containment reference
`GenColor` `getFillColor()` Returns the value of the 'Fill Color' containment reference
`GenColor` `getFontColor()` Returns the value of the 'Font Color' containment reference
`double` `getGridSpacing()` Returns the value of the 'Grid Spacing' attribute
`GenColor` `getLineColor()` Returns the value of the 'Line Color' containment reference
`Routing` `getLineStyle()` Returns the value of the 'Line Style' attribute.
`GenColor` `getNoteFillColor()` Returns the value of the 'Note Fill Color' containment reference
`GenColor` `getNoteLineColor()` Returns the value of the 'Note Line Color' containment reference
`RulerUnits` `getRulerUnits()` Returns the value of the 'Ruler Units' attribute.
`boolean` `isEnableAnimatedLayout()` Returns the value of the 'Enable Animated Layout' attribute.
`boolean` `isEnableAnimatedZoom()` Returns the value of the 'Enable Animated Zoom' attribute.
`boolean` `isEnableAntiAlias()` Returns the value of the 'Enable Anti Alias' attribute.
`boolean` `isPromptOnDelFromDiagram()` Returns the value of the 'Prompt On Del From Diagram' attribute
`boolean` `isPromptOnDelFromModel()` Returns the value of the 'Prompt On Del From Model' attribute
`boolean` `isShowConnectionHandles()` Returns the value of the 'Show Connection Handles' attribute.
`boolean` `isShowGrid()` Returns the value of the 'Show Grid' attribute.
`boolean` `isShowPopupBars()` Returns the value of the 'Show Popup Bars' attribute.
`boolean` `isShowRulers()` Returns the value of the 'Show Rulers' attribute.
`boolean` `isSnapToGrid()` Returns the value of the 'Snap To Grid' attribute.
`void` `setDefaultFont(GenFont value)` Sets the value of the '`Default Font`' containment reference
`void` `setEnableAnimatedLayout(boolean value)` Sets the value of the '`Enable Animated Layout`' attribute
`void` `setEnableAnimatedZoom(boolean value)` Sets the value of the '`Enable Animated Zoom`' attribute
`void` `setEnableAntiAlias(boolean value)` Sets the value of the '`Enable Anti Alias`' attribute
`void` `setFillColor(GenColor value)` Sets the value of the '`Fill Color`' containment reference
`void` `setFontColor(GenColor value)` Sets the value of the '`Font Color`' containment reference
`void` `setGridSpacing(double value)` Sets the value of the '`Grid Spacing`' attribute
`void` `setLineColor(GenColor value)` Sets the value of the '`Line Color`' containment reference
`void` `setLineStyle(Routing value)` Sets the value of the '`Line Style`' attribute
`void` `setNoteFillColor(GenColor value)` Sets the value of the '`Note Fill Color`' containment reference
`void` `setNoteLineColor(GenColor value)` Sets the value of the '`Note Line Color`' containment reference
`void` `setPromptOnDelFromDiagram(boolean value)` Sets the value of the '`Prompt On Del From Diagram`' attribute
`void` `setPromptOnDelFromModel(boolean value)` Sets the value of the '`Prompt On Del From Model`' attribute
`void` `setRulerUnits(RulerUnits value)` Sets the value of the '`Ruler Units`' attribute
`void` `setShowConnectionHandles(boolean value)` Sets the value of the '`Show Connection Handles`' attribute
`void` `setShowGrid(boolean value)` Sets the value of the '`Show Grid`' attribute
`void` `setShowPopupBars(boolean value)` Sets the value of the '`Show Popup Bars`' attribute
`void` `setShowRulers(boolean value)` Sets the value of the '`Show Rulers`' attribute
`void` `setSnapToGrid(boolean value)` Sets the value of the '`Snap To Grid`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLineStyle

    Routing getLineStyle()

  Returns the value of the 'Line Style' attribute. The literals are from the enumeration `Routing`.

  If the meaning of the 'Line Style' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Line Style' attribute.
  See Also:
    `Routing`, `setLineStyle(Routing)`, `GMFGenPackage.getGenDiagramPreferences_LineStyle()`
  ** Generated **
  Model:

### setLineStyle

    void setLineStyle(Routing value)

  Sets the value of the '`Line Style`' attribute.

  Parameters:
    `value` - the new value of the 'Line Style' attribute.
  See Also:
    `Routing`, `getLineStyle()`
  ** Generated **

### getDefaultFont

    GenFont getDefaultFont()

  Returns the value of the 'Default Font' containment reference.

  If the meaning of the 'Default Font' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Font' containment reference.
  See Also:
    `setDefaultFont(GenFont)`, `GMFGenPackage.getGenDiagramPreferences_DefaultFont()`
  ** Generated **
  Model:
    containment="true"

### setDefaultFont

    void setDefaultFont(GenFont value)

  Sets the value of the '`Default Font`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Font' containment reference.
  See Also:
    `getDefaultFont()`
  ** Generated **

### getFontColor

    GenColor getFontColor()

  Returns the value of the 'Font Color' containment reference.

  If the meaning of the 'Font Color' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Font Color' containment reference.
  See Also:
    `setFontColor(GenColor)`, `GMFGenPackage.getGenDiagramPreferences_FontColor()`
  ** Generated **
  Model:
    containment="true"

### setFontColor

    void setFontColor(GenColor value)

  Sets the value of the '`Font Color`' containment reference.

  Parameters:
    `value` - the new value of the 'Font Color' containment reference.
  See Also:
    `getFontColor()`
  ** Generated **

### getFillColor

    GenColor getFillColor()

  Returns the value of the 'Fill Color' containment reference.

  If the meaning of the 'Fill Color' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fill Color' containment reference.
  See Also:
    `setFillColor(GenColor)`, `GMFGenPackage.getGenDiagramPreferences_FillColor()`
  ** Generated **
  Model:
    containment="true"

### setFillColor

    void setFillColor(GenColor value)

  Sets the value of the '`Fill Color`' containment reference.

  Parameters:
    `value` - the new value of the 'Fill Color' containment reference.
  See Also:
    `getFillColor()`
  ** Generated **

### getLineColor

    GenColor getLineColor()

  Returns the value of the 'Line Color' containment reference.

  If the meaning of the 'Line Color' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Line Color' containment reference.
  See Also:
    `setLineColor(GenColor)`, `GMFGenPackage.getGenDiagramPreferences_LineColor()`
  ** Generated **
  Model:
    containment="true"

### setLineColor

    void setLineColor(GenColor value)

  Sets the value of the '`Line Color`' containment reference.

  Parameters:
    `value` - the new value of the 'Line Color' containment reference.
  See Also:
    `getLineColor()`
  ** Generated **

### getNoteFillColor

    GenColor getNoteFillColor()

  Returns the value of the 'Note Fill Color' containment reference.

  If the meaning of the 'Note Fill Color' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Note Fill Color' containment reference.
  See Also:
    `setNoteFillColor(GenColor)`, `GMFGenPackage.getGenDiagramPreferences_NoteFillColor()`
  ** Generated **
  Model:
    containment="true"

### setNoteFillColor

    void setNoteFillColor(GenColor value)

  Sets the value of the '`Note Fill Color`' containment reference.

  Parameters:
    `value` - the new value of the 'Note Fill Color' containment reference.
  See Also:
    `getNoteFillColor()`
  ** Generated **

### getNoteLineColor

    GenColor getNoteLineColor()

  Returns the value of the 'Note Line Color' containment reference.

  If the meaning of the 'Note Line Color' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Note Line Color' containment reference.
  See Also:
    `setNoteLineColor(GenColor)`, `GMFGenPackage.getGenDiagramPreferences_NoteLineColor()`
  ** Generated **
  Model:
    containment="true"

### setNoteLineColor

    void setNoteLineColor(GenColor value)

  Sets the value of the '`Note Line Color`' containment reference.

  Parameters:
    `value` - the new value of the 'Note Line Color' containment reference.
  See Also:
    `getNoteLineColor()`
  ** Generated **

### isShowConnectionHandles

    boolean isShowConnectionHandles()

  Returns the value of the 'Show Connection Handles' attribute. The default value is `"true"`.

  If the meaning of the 'Show Connection Handles' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Show Connection Handles' attribute.
  See Also:
    `setShowConnectionHandles(boolean)`, `GMFGenPackage.getGenDiagramPreferences_ShowConnectionHandles()`
  ** Generated **
  Model:
    default="true"

### setShowConnectionHandles

    void setShowConnectionHandles(boolean value)

  Sets the value of the '`Show Connection Handles`' attribute.

  Parameters:
    `value` - the new value of the 'Show Connection Handles' attribute.
  See Also:
    `isShowConnectionHandles()`
  ** Generated **

### isShowPopupBars

    boolean isShowPopupBars()

  Returns the value of the 'Show Popup Bars' attribute. The default value is `"true"`.

  If the meaning of the 'Show Popup Bars' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Show Popup Bars' attribute.
  See Also:
    `setShowPopupBars(boolean)`, `GMFGenPackage.getGenDiagramPreferences_ShowPopupBars()`
  ** Generated **
  Model:
    default="true"

### setShowPopupBars

    void setShowPopupBars(boolean value)

  Sets the value of the '`Show Popup Bars`' attribute.

  Parameters:
    `value` - the new value of the 'Show Popup Bars' attribute.
  See Also:
    `isShowPopupBars()`
  ** Generated **

### isPromptOnDelFromModel

    boolean isPromptOnDelFromModel()

  Returns the value of the 'Prompt On Del From Model' attribute.

  If the meaning of the 'Prompt On Del From Model' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Prompt On Del From Model' attribute.
  See Also:
    `setPromptOnDelFromModel(boolean)`, `GMFGenPackage.getGenDiagramPreferences_PromptOnDelFromModel()`
  ** Generated **
  Model:

### setPromptOnDelFromModel

    void setPromptOnDelFromModel(boolean value)

  Sets the value of the '`Prompt On Del From Model`' attribute.

  Parameters:
    `value` - the new value of the 'Prompt On Del From Model' attribute.
  See Also:
    `isPromptOnDelFromModel()`
  ** Generated **

### isPromptOnDelFromDiagram

    boolean isPromptOnDelFromDiagram()

  Returns the value of the 'Prompt On Del From Diagram' attribute.

  If the meaning of the 'Prompt On Del From Diagram' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Prompt On Del From Diagram' attribute.
  See Also:
    `setPromptOnDelFromDiagram(boolean)`, `GMFGenPackage.getGenDiagramPreferences_PromptOnDelFromDiagram()`
  ** Generated **
  Model:

### setPromptOnDelFromDiagram

    void setPromptOnDelFromDiagram(boolean value)

  Sets the value of the '`Prompt On Del From Diagram`' attribute.

  Parameters:
    `value` - the new value of the 'Prompt On Del From Diagram' attribute.
  See Also:
    `isPromptOnDelFromDiagram()`
  ** Generated **

### isEnableAnimatedLayout

    boolean isEnableAnimatedLayout()

  Returns the value of the 'Enable Animated Layout' attribute. The default value is `"true"`.

  If the meaning of the 'Enable Animated Layout' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Enable Animated Layout' attribute.
  See Also:
    `setEnableAnimatedLayout(boolean)`, `GMFGenPackage.getGenDiagramPreferences_EnableAnimatedLayout()`
  ** Generated **
  Model:
    default="true"

### setEnableAnimatedLayout

    void setEnableAnimatedLayout(boolean value)

  Sets the value of the '`Enable Animated Layout`' attribute.

  Parameters:
    `value` - the new value of the 'Enable Animated Layout' attribute.
  See Also:
    `isEnableAnimatedLayout()`
  ** Generated **

### isEnableAnimatedZoom

    boolean isEnableAnimatedZoom()

  Returns the value of the 'Enable Animated Zoom' attribute. The default value is `"true"`.

  If the meaning of the 'Enable Animated Zoom' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Enable Animated Zoom' attribute.
  See Also:
    `setEnableAnimatedZoom(boolean)`, `GMFGenPackage.getGenDiagramPreferences_EnableAnimatedZoom()`
  ** Generated **
  Model:
    default="true"

### setEnableAnimatedZoom

    void setEnableAnimatedZoom(boolean value)

  Sets the value of the '`Enable Animated Zoom`' attribute.

  Parameters:
    `value` - the new value of the 'Enable Animated Zoom' attribute.
  See Also:
    `isEnableAnimatedZoom()`
  ** Generated **

### isEnableAntiAlias

    boolean isEnableAntiAlias()

  Returns the value of the 'Enable Anti Alias' attribute. The default value is `"true"`.

  If the meaning of the 'Enable Anti Alias' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Enable Anti Alias' attribute.
  See Also:
    `setEnableAntiAlias(boolean)`, `GMFGenPackage.getGenDiagramPreferences_EnableAntiAlias()`
  ** Generated **
  Model:
    default="true"

### setEnableAntiAlias

    void setEnableAntiAlias(boolean value)

  Sets the value of the '`Enable Anti Alias`' attribute.

  Parameters:
    `value` - the new value of the 'Enable Anti Alias' attribute.
  See Also:
    `isEnableAntiAlias()`
  ** Generated **

### isShowGrid

    boolean isShowGrid()

  Returns the value of the 'Show Grid' attribute. The default value is `"false"`.

  If the meaning of the 'Show Grid' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Show Grid' attribute.
  See Also:
    `setShowGrid(boolean)`, `GMFGenPackage.getGenDiagramPreferences_ShowGrid()`
  ** Generated **
  Model:
    default="false"

### setShowGrid

    void setShowGrid(boolean value)

  Sets the value of the '`Show Grid`' attribute.

  Parameters:
    `value` - the new value of the 'Show Grid' attribute.
  See Also:
    `isShowGrid()`
  ** Generated **

### isShowRulers

    boolean isShowRulers()

  Returns the value of the 'Show Rulers' attribute. The default value is `"false"`.

  If the meaning of the 'Show Rulers' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Show Rulers' attribute.
  See Also:
    `setShowRulers(boolean)`, `GMFGenPackage.getGenDiagramPreferences_ShowRulers()`
  ** Generated **
  Model:
    default="false"

### setShowRulers

    void setShowRulers(boolean value)

  Sets the value of the '`Show Rulers`' attribute.

  Parameters:
    `value` - the new value of the 'Show Rulers' attribute.
  See Also:
    `isShowRulers()`
  ** Generated **

### isSnapToGrid

    boolean isSnapToGrid()

  Returns the value of the 'Snap To Grid' attribute. The default value is `"true"`.

  If the meaning of the 'Snap To Grid' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Snap To Grid' attribute.
  See Also:
    `setSnapToGrid(boolean)`, `GMFGenPackage.getGenDiagramPreferences_SnapToGrid()`
  ** Generated **
  Model:
    default="true"

### setSnapToGrid

    void setSnapToGrid(boolean value)

  Sets the value of the '`Snap To Grid`' attribute.

  Parameters:
    `value` - the new value of the 'Snap To Grid' attribute.
  See Also:
    `isSnapToGrid()`
  ** Generated **

### getRulerUnits

    RulerUnits getRulerUnits()

  Returns the value of the 'Ruler Units' attribute. The literals are from the enumeration `RulerUnits`.

  If the meaning of the 'Ruler Units' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ruler Units' attribute.
  See Also:
    `RulerUnits`, `setRulerUnits(RulerUnits)`, `GMFGenPackage.getGenDiagramPreferences_RulerUnits()`
  ** Generated **
  Model:

### setRulerUnits

    void setRulerUnits(RulerUnits value)

  Sets the value of the '`Ruler Units`' attribute.

  Parameters:
    `value` - the new value of the 'Ruler Units' attribute.
  See Also:
    `RulerUnits`, `getRulerUnits()`
  ** Generated **

### getGridSpacing

    double getGridSpacing()

  Returns the value of the 'Grid Spacing' attribute.

  If the meaning of the 'Grid Spacing' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grid Spacing' attribute.
  See Also:
    `setGridSpacing(double)`, `GMFGenPackage.getGenDiagramPreferences_GridSpacing()`
  ** Generated **
  Model:

### setGridSpacing

    void setGridSpacing(double value)

  Sets the value of the '`Grid Spacing`' attribute.

  Parameters:
    `value` - the new value of the 'Grid Spacing' attribute.
  See Also:
    `getGridSpacing()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.